Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.swrl.bridge.impl
Class OWLSomeValuesFromImpl

    java.lang.Object
      edu.stanford.smi.protegex.owl.swrl.bridge.impl.OWLRestrictionImpl
          edu.stanford.smi.protegex.owl.swrl.bridge.impl.OWLSomeValuesFromImpl

All Implemented Interfaces:
  OWLDescription, OWLObject, OWLRestriction, OWLSomeValuesFrom

    public class OWLSomeValuesFromImpl

extends OWLRestrictionImpl
implements OWLSomeValuesFrom

Constructor Summary
`OWLSomeValuesFromImpl(OWLClass owlClass, OWLProperty onProperty, OWLClass someValuesFrom)`

Method Summary
`boolean` | `equals(Object obj)`
`OWLClass` | `getSomeValuesFrom()`
`int` | `hashCode()`
`String` | `toString()`
`void` | `write2OWL(OWLModel owlModel)`

Methods inherited from class edu.stanford.smi.protegex.owl.swrl.bridge.impl.OWLRestrictionImpl
`asOWLClass, getProperty`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface edu.stanford.smi.protegex.owl.swrl.bridge.OWLRestriction
`asOWLClass, getProperty`

Constructor Detail

### OWLSomeValuesFromImpl

    public OWLSomeValuesFromImpl(OWLClass owlClass,
                                 OWLProperty onProperty,
                                 OWLClass someValuesFrom)

Method Detail

### getSomeValuesFrom

    public OWLClass getSomeValuesFrom()

  Specified by:
    `getSomeValuesFrom` in interface `OWLSomeValuesFrom`

### write2OWL

    public void write2OWL(OWLModel owlModel)
                   throws SWRLRuleEngineBridgeException

  Specified by:
    `write2OWL` in interface `OWLObject`
  Throws:
    `SWRLRuleEngineBridgeException`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.